Subject: bug#46114: closed (Re: bug#46114: [PATCH] website: Localize package list.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Jan 2021 01:54:02 +0000

Your bug report

#46114: [PATCH] website: Localize package list.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46114: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46114
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46114: [PATCH] website: Localize package list.
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Fri, 29 Jan 2021 02:53:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Forgot to close :)

Subject: [PATCH] website: Localize package list.
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Tue, 26 Jan 2021 17:56:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

This patch lets us localize package synopsis and description in package
lists. This is not super useful, because our guix-packages domain is
almost untranslated, for every language, but I think it's better than
nothing.

Locally, you can simply copy an existing guix-packages.mo (on the Guix
System,
/run/current-system/profile/share/locale/de/LC_MESSAGES/guix-packages.mo
for the German translation) to the local locale directory
(de/LC_MESSAGES/guix-packages.mo), in the same way we do for the
guix-website domain.

I also modified .guix.scm so the website can be generated with
localized packages. I used the latest guix package from the current
guix, because latest-guix (defined in .guix.scm) does not have any
locale information in it (mo or po). Any idea to get the latest
translations instead?
>From 87a0bb44fb28ff3a7e2237b2b559c1edbcbc6913 Mon Sep 17 00:00:00 2001
From: zimoun <[email-masked]>
Date: Tue, 3 Nov 2020 10:05:50 +0100
Subject: [PATCH] website: Update announce online Guix days.

* website/posts/online-guix-day-announce-1.md: Fix email, update the deadline.
---
 website/posts/online-guix-day-announce-1.md | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/website/posts/online-guix-day-announce-1.md b/website/posts/online-guix-day-announce-1.md
index 686c01b..b4ca308 100644
--- a/website/posts/online-guix-day-announce-1.md
+++ b/website/posts/online-guix-day-announce-1.md
@@ -11,7 +11,7 @@ and will be held entirely online.  Want to speak?  Submit your proposal!
 
 Important dates:
 
-1. **November 6th**: Deadline for talks proposal.
+1. **November 10th**: Deadline for talks proposal.
 1. **November 14th**: Deadline for releasing your pre-recorded talks.
 1. **November 16th**: Release of the schedule.
 1. **November 22nd**: Conference day!
@@ -27,9 +27,9 @@ The agenda of the day is:
 
 *There will be no presentation on the 22nd!* And **no registration fee**.
 
-##### Until November 6th: talks proposal
+##### Until November 10th: talks proposal
 
-Propose your talks by sending them to [email-masked]`.  Feel free to drop
+Propose your talks by sending them to [email-masked]`.  Feel free to drop
 in `#guix` on irc.freenode.net to discuss what you would like to talk about
 before submitting. :)
 
-- 
2.28.0